package com.muyu.enterprise.cache;

import com.muyu.common.cache.CacheAbsBacis;
import com.muyu.domain.Vehicle;
import com.muyu.domain.req.VehicleAddReq;
import com.muyu.domain.req.VehicleManageReq;
import com.muyu.domain.resp.VehicleManageResp;

import java.util.List;

/**
 * 所有车辆缓存
 */
public class AllVehicleCacheService extends CacheAbsBacis<String, VehicleManageResp> {


    @Override
    public void clear() {

    }

    /**
     * 缓存key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "AllVehicle:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("AllVehicle:info:", "");
    }

}
